com.ihr.xbrl.pojo

## Class DatabaseUriResolver

- java.lang.Object
- - com.ihr.xbrl.pojo.DatabaseUriResolver

- All Implemented Interfaces:
    DTSCascadeURIResolver, javax.xml.transform.URIResolver

      public class DatabaseUriResolver
      extends java.lang.Object
      implements DTSCascadeURIResolver

  The Class DatabaseUriResolver.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatabaseUriResolver(javax.xml.transform.URIResolver nextResolver, org.hibernate.Session session)` Instantiates a new database uri resolver.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.transform.URIResolver` | `getNextResolver()` The next resolved in the cascade. null means this is the last resolver
    `javax.xml.transform.Source` | `resolve(java.lang.String href, java.lang.String base)`
    `void` | `setNextResolver(javax.xml.transform.URIResolver newNextResolver)` Sets the next resolver to the resolver specified in the parameter.
    `void` | `setSession(org.hibernate.Session session)` Sets the session.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DatabaseUriResolver

          public DatabaseUriResolver(javax.xml.transform.URIResolver nextResolver,
                             org.hibernate.Session session)

      Instantiates a new database uri resolver.
      Parameters:
        `nextResolver` - the next resolver
        `session` - the session

  - ### Method Detail

    - #### setSession

          public void setSession(org.hibernate.Session session)

      Sets the session.
      Parameters:
        `session` - the new session

    - #### resolve

          public javax.xml.transform.Source resolve(java.lang.String href,
                                           java.lang.String base)
                                             throws javax.xml.transform.TransformerException

      Specified by:
        `resolve` in interface `javax.xml.transform.URIResolver`
      Throws:
        `javax.xml.transform.TransformerException`

    - #### getNextResolver

          public javax.xml.transform.URIResolver getNextResolver()

      Description copied from interface: `DTSCascadeURIResolver`
      The next resolved in the cascade. null means this is the last resolver
      Specified by:
        `getNextResolver` in interface `DTSCascadeURIResolver`
      Returns:
        URIResolver

    - #### setNextResolver

          public void setNextResolver(javax.xml.transform.URIResolver newNextResolver)

      Description copied from interface: `DTSCascadeURIResolver`
      Sets the next resolver to the resolver specified in the parameter.
      Specified by:
        `setNextResolver` in interface `DTSCascadeURIResolver`
      Parameters:
        `newNextResolver` - the new next resolver